VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.MDIForm frmMain 
   BackColor       =   &H8000000C&
   Caption         =   "MDI Help Example Program"
   ClientHeight    =   4845
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   6975
   HelpContextID   =   2010
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer3 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   6210
      Top             =   1185
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   6195
      Top             =   660
   End
   Begin VB.PictureBox frame_Toolbar 
      Align           =   1  'Align Top
      Height          =   555
      Left            =   0
      ScaleHeight     =   495
      ScaleWidth      =   6915
      TabIndex        =   0
      Top             =   0
      Width           =   6975
      Begin MSComDlg.CommonDialog CommonDialog1 
         Left            =   5520
         Top             =   15
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   393216
      End
      Begin VB.CommandButton btn_OpenDialog 
         Caption         =   "Open Dialog"
         Height          =   345
         Left            =   135
         TabIndex        =   2
         ToolTipText     =   "Click to Open the dialog box"
         Top             =   75
         WhatsThisHelpID =   20110
         Width           =   1110
      End
      Begin VB.CommandButton icon_WhatsThisHelp 
         DownPicture     =   "Main.frx":0000
         Height          =   450
         Left            =   6120
         Picture         =   "Main.frx":0672
         Style           =   1  'Graphical
         TabIndex        =   1
         Top             =   15
         Visible         =   0   'False
         Width           =   465
      End
   End
   Begin VB.Menu mnu_Tools 
      Caption         =   "&Tools"
      Begin VB.Menu mnu_ColorTool 
         Caption         =   "&Color Tool"
      End
   End
   Begin VB.Menu mnu_Help 
      Caption         =   "&Help"
      Begin VB.Menu mnu_HelpContents 
         Caption         =   "&Contents"
      End
      Begin VB.Menu mnu_HelpIndex 
         Caption         =   "&Index"
      End
      Begin VB.Menu bar_21 
         Caption         =   "-"
      End
      Begin VB.Menu mnu_WhatsThisHelp 
         Caption         =   "What's This? Help"
      End
      Begin VB.Menu bar_22 
         Caption         =   "-"
      End
      Begin VB.Menu mnu_About 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub btn_OpenDialog_Click()

frmDialog1.Show

End Sub

Private Sub btn_WhatsThisHelp_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    btn_WhatsThisHelp.Picture = icon_WhatsThisHelp.DownPicture

End Sub

Private Sub MDIForm_Load()

'**Get the path and file name of the data file************************
dataFile$ = AddFile$(App.Path, "HelpData.dat")

'**See what kind of Help we are using*********************************
useHTMLHelp% = GetPrivateProfileInt("General", "HTMLHelp", 0, dataFile$)

'**Put the form where the user last positioned it*********************
Call PositionForm(Me, Me.Name & " Position", RS_REPOSITION Or RS_CHANGEKEEPONTOP, RS_NOTONTOP, RS_SHOW)

'**Set up Help  file name*********************************************
If useHTMLHelp% = 0 Then
    App.HelpFile = App.Path & "\HelpHook.hlp>second"
Else
    App.HelpFile = App.Path & "\HelpHook.chm>second"
End If

End Sub

Private Sub MDIForm_Unload(Cancel As Integer)

If mnu_ColorTool.Checked = 0 Then
    Unload frmTool1
End If
Call SavePosition(Me, Me.Name & " Position")
End

End Sub

Private Sub mnu_About_Click()

frmAbout.Show 1

End Sub

Private Sub mnu_ColorTool_Click()

If mnu_ColorTool.Checked = 0 Then
    frmTool1.Show
    mnu_ColorTool.Checked = 1
Else
    Unload frmTool1
    mnu_ColorTool.Checked = 0
End If

End Sub

Private Sub mnu_HelpContents_Click()

If useHTMLHelp% = 0 Then
    success = WinHelp(frmMain.hwnd, curHelpFile$, HELP_FINDER, ByVal 0&)
Else
    success = HTMLHelp(frmMain.hwnd, curHelpFile$, HH_DISPLAY_TOC, ByVal 0&)
End If

End Sub

Private Sub mnu_HelpIndex_Click()

If useHTMLHelp% = 0 Then
    success = WinHelp(frmMain.hwnd, curHelpFile$, HELP_PARTIALKEY, ByVal "")
Else
    success = HTMLHelp(frmMain.hwnd, curHelpFile$, HH_DISPLAY_INDEX, ByVal 0&)
End If

End Sub

Private Sub mnu_WhatsThisHelp_Click()

    btn_WhatsThisHelp_Click
    
End Sub

Private Sub Timer3_Timer()

If ToolOnTop% = 0 Then
    '**Tool is open but not set to on top mode******************************
    If GetForegroundWindow() = frmMain.hwnd Then
        Call SetWindowPos(frmTool1.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 1
    ElseIf GetForegroundWindow() = frmTool1.hwnd And GetNextWindow(frmTool1.hwnd, GW_HWNDNEXT) <> frmMain.hwnd Then
        Call SetWindowPos(frmMain.hwnd, frmTool1.hwnd, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmTool1.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 1
    End If
Else
    '**Tool is set to on top mode. See if we need to hide it****************
    If GetForegroundWindow() <> frmMain.hwnd And GetForegroundWindow() <> frmTool1.hwnd Then
        Call SetWindowPos(frmTool1.hwnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmTool1.hwnd, GetForegroundWindow(), 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmMain.hwnd, GetForegroundWindow(), 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 0
    End If
End If

End Sub

